#ifndef SET_HPP_INCLUDED
#define SET_HPP_INCLUDED

#include <vector>
#include "Object.hpp"

namespace Internal
{
    class Set : public Object
    {
        public:
            Set(const void* Obj);

            Set() = default;
            Set(Set&& Obj) = default;
            Set(const Set& Obj) = default;
            Set& operator=(Set&& Obj) = default;
            Set& operator=(const Set& Obj) = default;

            std::vector<Object> ToArray() const;
    };
}

#endif // SET_HPP_INCLUDED
